using System;
using System.Text;

namespace Andrei.Utils
{
    
    public class clsVerif
    {
        public enum eReturnVerificaCNP
        {
            eCorect,
            eLungimeIncorecta,
            eIncorect
        }
        public static eReturnVerificaCNP VerificaCNP(string CNP)
        {
            if(CNP == null || CNP.Length != 13)
                return eReturnVerificaCNP.eLungimeIncorecta;

            string Pondere = "279146358279";
            int WSUMA=0, i=1;
            for(i=0;i<12;i++)
            {
                WSUMA += (int.Parse(Pondere[i].ToString()) * int.Parse(CNP[i].ToString()));                
            }
            WSUMA %= 11;
            
            if (WSUMA == 10) 
                WSUMA = 1;

            if (WSUMA != int.Parse(CNP[12].ToString()))
                return eReturnVerificaCNP.eIncorect;

            return eReturnVerificaCNP.eCorect;

        }
    }
}
